%define major_version 8.1
%define minor_version 0

%define dsname redhat-ds
%define shortname redhat-admin
%define pkgname dirsrv

Name: redhat-admin-console
Version: %{major_version}.%{minor_version}
Release: 2%{?dist}
Summary: Red Hat Admin Server Management Console

Group: Applications/System
License: GPLv2
URL: http://www.redhat.com/directory_server/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Source: %{name}-%{version}.tar.bz2
Requires: %{dsname}-admin
BuildRequires: ant >= 1.6.2
BuildRequires: ldapjdk
BuildRequires: idm-console-framework >= 1.1
BuildRequires: java-devel >= 1:1.6.0

%description
A Java based remote management console used for Managing Red Hat
Admin Server.

%prep
%setup -q
                                                                                
%build
%{ant} \
    -Dconsole.location=%{_javadir} \
    -Dbuilt.dir=`pwd`/built

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
install -m644 built/package/%{shortname}* $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
install -d $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/en/admin/help
install -m644 help/en/*.html $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/en/admin
install -m644 help/en/tokens.map $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/en/admin
install -m644 help/en/help/*.html $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/en/admin/help

# create symlinks
pushd $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
ln -s %{shortname}-%{version}.jar %{shortname}-%{major_version}.jar
ln -s %{shortname}-%{version}.jar %{shortname}.jar
ln -s %{shortname}-%{version}_en.jar %{shortname}-%{major_version}_en.jar
ln -s %{shortname}-%{version}_en.jar %{shortname}_en.jar
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{major_version}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}_en.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{major_version}_en.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}_en.jar
%dir %{_datadir}/%{pkgname}/manual/en/admin
%{_datadir}/%{pkgname}/manual/en/admin/tokens.map
%doc %{_datadir}/%{pkgname}/manual/en/admin/*.html
%doc %{_datadir}/%{pkgname}/manual/en/admin/help/*.html

%changelog
* Tue Mar  3 2009 Nathan Kinder <nkinder@redhat.com> - 8.1.0-2
- Updated URL

* Thu Jan  8 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-1
- updated for the 8.1.0 release

* Mon Dec 10 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-11
- Updated sources.

* Wed Nov 21 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-10
- Updated online help documentation.

* Tue Oct 16 2007 Margaret Lum <mlum@redhat.com> 8.0.0-9
- Build with newer idmconsole and jdk 1.4.2.

* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> - 8.0.0-6
- Corrected sources.

* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> - 8.0.0-5
- Updated sources.

* Fri Aug 10 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-4
- use pkgname instead of dsname for filesystem path naming

* Thu Aug  9 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-3
- Fixed console banner image.

* Thu Aug  9 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-2
- Added online help files to package.
                                                                                
* Thu Aug  2 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-1
- Initial creation
